package jitas.util;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.util.Calendar;

/**
 * The Logger class allows straightforward logging of error/warning information
 * into a log file, where the associated time and date of the error/warning will
 * be recorded automatically with the message.
 * 
 * @author	DeathMarch (c314g2)
 * @version	07 August 2007
 */
public class Logger {

	/**
	 * This method adds an entry to the error log file warnings.txt, recording the 
	 * time and date and the nature of the error/warning.
	 * @param message The descriptive string with the error/warning information
	 */	
	public static void addEntry(String message) {
		
		try {
			FileOutputStream out;
			out = new FileOutputStream(Settings.getInstance().getRootPath() + "warnings.txt", true);
			PrintStream p = new PrintStream(out);
			p.println(Calendar.getInstance().getTime() + ": " + message);
			
		} catch (FileNotFoundException e) {
			System.err.println ("Logger.addEntry: Error writing to file");
		}
	}
	
	/**
	 * Clear the log file to empty 
	 */
	public static void clearLog() {
		try {
			new FileOutputStream(Settings.getInstance().getRootPath() + "warnings.txt", false);
		} catch (FileNotFoundException e) {
			System.err.println ("Logger.clearLog: Error clearing a file");
		}
	}
}
