package jitas.util;

import java.util.HashMap;
import java.util.Map;

/**
 * Class for converting a string to a map.
 * @author	DeathMarch (c314g2)
 * @version	07 August 2007
 */
public class MapFromString {
	
	/**
	 * Converts a String to a Map. The String should be in the form:
	 * 	(("CASE" "N")("GENDER" "N")("ARTICLE" "D")("ANSWER" "graue"))
	 * which will be converted into a map with four entries.
	 * @param s The String to be converted
	 * @return map The resulting map
	 */
	public static Map<String, String> convertStringToMap(String s) {
		Map<String, String> map = new HashMap<String, String>(); 
		int c = 0;
		try {
			if (s.charAt(c++) != '(') 
				throw new Exception();
			while (s.charAt(c) != ')') {
				if (s.charAt(c++) != '(') 
					throw new Exception();
				String key = s.substring(c, s.substring(c).indexOf(" ")+c);
				c = c + s.substring(c).indexOf(" ") + 1;

				String value = s.substring(c, s.substring(c).indexOf(")")+c);
				c = c + s.substring(c).indexOf(")") + 1;
				
				map.put(myTrim(key), myTrim(value));				
			}
		} catch (Exception e) {	
			Logger.addEntry("There was a problem converting the String: " + s + " to a Map");
		}
		
		return map;
	}
	
	/*Format the string*/
	private static String myTrim(String s) {
		String n = "";
		for(int i = 0; i < s.length(); i++) {
			if ((s.charAt(i) != '"') && (s.charAt(i) != '\t'))n = n + s.charAt(i);
		}
		return n;
	}

}
